# The configuration file

The **.conf** file contains different options which specify the problem that APM will solve. The contents of an example **.conf** file are shown below:

```
c_ref = 1 
b_ref = 1
S_ref = 1
x_cg = 0 
y_cg = 0 
z_cg = 0
trailing_edge_angle = 150
p_ref = 101325
rho_ref = 1.225
mu_ref = 1.789e-5
norm_V_ref = 1
M_ref = 0
alpha = 0 
beta = 0 
p = 0
q = 0
r = 0
dt = 1
N_timesteps = 1
restart_from_checkpoint = 0
wake_alignment = 0
wake_angle = 0
wake_rollup = 1
output_frequency = 1
paraview_output = 1
tecplot_output = 0
json_output = 0
extended_output = 0
doublet_gradient_scheme = 0
neighbour_tolerance = 1e-6
trefftz_plane_analysis = 0
tip_panels =   
symmetry = 0
```

{% hint style="info" %}
The values in the above .conf file are in SI units - m, kg, s. You can use different units as long as they are consistent across the .conf file.
{% endhint %}

Refer to the table below for a detailed description of each option.

<table data-header-hidden><thead><tr><th>Option</th><th width="94" align="center">Dimension</th><th>Description</th><th align="right">Default value</th></tr></thead><tbody><tr><td><strong>Option</strong></td><td align="center"><strong>Dimensionality</strong></td><td><strong>Description</strong></td><td align="right"><strong>Default value</strong></td></tr><tr><td>c_ref</td><td align="center"><span class="math">L</span></td><td>Reference chord, used for non-dimensionalisation of the aerodynamic coefficients</td><td align="right">1</td></tr><tr><td>b_ref</td><td align="center"><span class="math">L</span></td><td>Reference span, used for non-dimensionalisation of the aerodynamic coefficients</td><td align="right">1</td></tr><tr><td>S_ref</td><td align="center"><span class="math">L^2</span></td><td>Reference area, used for non-dimensionalisation of the aerodynamic coefficients</td><td align="right">1</td></tr><tr><td>x_cg, y_cg, z_cg </td><td align="center"><span class="math">L</span></td><td>Location of the centre of gravity </td><td align="right">0</td></tr><tr><td>trailing_edge_angle</td><td align="center">-</td><td>Edges sharper than the trailing edge angle in degrees are identified as trailing edges</td><td align="right">150</td></tr><tr><td>p_ref</td><td align="center"><span class="math">M/(L{\cdot}T^2) </span></td><td>Reference pressure</td><td align="right">101325</td></tr><tr><td>rho_ref</td><td align="center"><span class="math">M/L^3 </span></td><td>Reference density</td><td align="right">1.225</td></tr><tr><td>mu_ref</td><td align="center"><span class="math">M/(L{\cdot}T) </span></td><td>Reference dynamic viscosity</td><td align="right">1.789e-5</td></tr><tr><td>norm_V_ref</td><td align="center"><span class="math">L/T </span></td><td>Reference freestream speed</td><td align="right">1</td></tr><tr><td>M_ref</td><td align="center">-</td><td>Reference Mach number (used for compressibility corrections)</td><td align="right">0</td></tr><tr><td>alpha, beta</td><td align="center">-</td><td>Angle of attack and angle of sideslip with respect to the freestream in degrees</td><td align="right">0</td></tr><tr><td>p, q, r</td><td align="center"><span class="math">1/T</span></td><td>Roll, pitch, and yaw rates in degrees/sec</td><td align="right">0</td></tr><tr><td>dt</td><td align="center"><span class="math">T</span></td><td>Time step</td><td align="right">1</td></tr><tr><td>N_timesteps</td><td align="center">-</td><td>Number of timesteps </td><td align="right">1</td></tr><tr><td>restart_from_checkpoint</td><td align="center">-</td><td>Instructs the solver to restart the solution from a checkpoint</td><td align="right">0</td></tr><tr><td>wake_alignment, wake_angle</td><td align="center">-</td><td>Specifies how the wake aligns with respect to the trailing edges</td><td align="right">0</td></tr><tr><td>wake_rollup</td><td align="center">-</td><td>If disabled the induced velocities from the body on the wake and on the wake iteslf wont be calculated. The wake will be translated with the reference freestream speed.</td><td align="right">1</td></tr><tr><td>json_output, <br>paraview_output, tecplot_output</td><td align="center">-</td><td>Enables or disables JSON, ParaView, and Tecplot output</td><td align="right">0, 1, 0</td></tr><tr><td>extended_output</td><td align="center">-</td><td>Appends force and moment vector for each panel in the Paraview and Tecplot output files</td><td align="right">0</td></tr><tr><td>doublet_gradient_scheme</td><td align="center">-</td><td>Instructs the solver how to calculate the <a href="/pages/-MVgMb3unDbyvYck9qnw">doublet gradient</a></td><td align="right">0</td></tr><tr><td>neighbour_tolerance</td><td align="center">-</td><td>Specifies the neighbour tolerance criteria</td><td align="right">1e-6</td></tr><tr><td>tip_panels</td><td align="center">-</td><td>Instructs the solver to label specific panels as type 6</td><td align="right">""</td></tr><tr><td>trefftz_plane_analysis</td><td align="center">-</td><td>Performs trefftz analysis at the trefftz plane to evaluate lift and drag</td><td align="right">0</td></tr><tr><td>symmetry</td><td align="center">-</td><td>Enables symmetry across the x-y plane. The solutions 2x faster and the memory requirements are 2x lower.</td><td align="right">0</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviumtechnologies.com/user-guide/the-configuration-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
